org.apache.lucene.queryparser.xml.builders

## Class SpanOrTermsBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.SpanBuilderBase
  - - org.apache.lucene.queryparser.xml.builders.SpanOrTermsBuilder

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanOrTermsBuilder
    extends SpanBuilderBase

Builder that analyzes the text into a `SpanOrQuery`

### Constructor Summary

Constructors
Constructor and Description
`SpanOrTermsBuilder(Analyzer analyzer)`

### Method Summary

Methods
`SpanQuery` `getSpanQuery(Element e)`

### Methods inherited from class org.apache.lucene.queryparser.xml.builders.SpanBuilderBase

`getQuery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpanOrTermsBuilder

    public SpanOrTermsBuilder(Analyzer analyzer)

### Method Detail

#### getSpanQuery

    public SpanQuery getSpanQuery(Element e)
                           throws ParserException

Throws:
  `ParserException`